package com.foc.flightdynamics.entity;


public class FlightDynamicsEntity {

    private String tDwnChn;  //ODS飞行计划调整编号

    private String etd;  //预计起飞时间

    private String eta;  //预计到达时间

    private String ata;  //

    private String updateTime;  //更新时间

    private String datopChn;  //

    private String tOffChn;  //

    private String tDwn;  //

    private String ataChn;  //

    private String gate;  //

    private String tOff;  //

    private String flightNo;  //航班号

    private String atdChn;  //

    private String acLongNo;  //飞机号

    private String etdChn;  //

    private String datop;  //航班日期（UTC）

    private Integer isStopOver;  //

    private String etaChn;  //

    private String atd;  //

    private String depStn;  //起飞机场

    private String arrStn;  //到达机场

    private String status;  //航班状态:ARR 落地;NDR 落地;ATD 推出;ATA 到达;CNL 取消;DEL 延误;DEP 起飞;RTR 返航;SCH 计划

    private String modified;  //

    private String depAirportName;
    private String depCityName;
    private String arrAirportName;
    private String arrCityName;
    
    public String getTDwnChn() {
        return tDwnChn;
    }

    public void setTDwnChn(String tDwnChn) {
        this.tDwnChn = tDwnChn;
    }

    public String getEtd() {
        return etd;
    }

    public void setEtd(String etd) {
        this.etd = etd;
    }

    public String getEta() {
        return eta;
    }

    public void setEta(String eta) {
        this.eta = eta;
    }

    public String getAta() {
        return ata;
    }

    public void setAta(String ata) {
        this.ata = ata;
    }

    public String gettDwnChn() {
        return tDwnChn;
    }

    public void settDwnChn(String tDwnChn) {
        this.tDwnChn = tDwnChn;
    }

    public String gettOffChn() {
        return tOffChn;
    }

    public void settOffChn(String tOffChn) {
        this.tOffChn = tOffChn;
    }

    public String gettDwn() {
        return tDwn;
    }

    public void settDwn(String tDwn) {
        this.tDwn = tDwn;
    }

    public String gettOff() {
        return tOff;
    }

    public void settOff(String tOff) {
        this.tOff = tOff;
    }

    

    public String getDatopChn() {
        return datopChn;
    }

    public void setDatopChn(String datopChn) {
        this.datopChn = datopChn;
    }

    public String getTOffChn() {
        return tOffChn;
    }

    public void setTOffChn(String tOffChn) {
        this.tOffChn = tOffChn;
    }

    public String getTDwn() {
        return tDwn;
    }

    public void setTDwn(String tDwn) {
        this.tDwn = tDwn;
    }

    public String getAtaChn() {
        return ataChn;
    }

    public void setAtaChn(String ataChn) {
        this.ataChn = ataChn;
    }

    public String getGate() {
        return gate;
    }

    public void setGate(String gate) {
        this.gate = gate;
    }

    public String getTOff() {
        return tOff;
    }

    public void setTOff(String tOff) {
        this.tOff = tOff;
    }

    public String getFlightNo() {
        return flightNo;
    }

    public void setFlightNo(String flightNo) {
        this.flightNo = flightNo;
    }

    public String getAtdChn() {
        return atdChn;
    }

    public void setAtdChn(String atdChn) {
        this.atdChn = atdChn;
    }

    public String getAcLongNo() {
        return acLongNo;
    }

    public void setAcLongNo(String acLongNo) {
        this.acLongNo = acLongNo;
    }

    public String getEtdChn() {
        return etdChn;
    }

    public void setEtdChn(String etdChn) {
        this.etdChn = etdChn;
    }

    public String getDatop() {
        return datop;
    }

    public void setDatop(String datop) {
        this.datop = datop;
    }

    public Integer getIsStopOver() {
        return isStopOver;
    }

    public void setIsStopOver(Integer isStopOver) {
        this.isStopOver = isStopOver;
    }

    public String getEtaChn() {
        return etaChn;
    }

    public void setEtaChn(String etaChn) {
        this.etaChn = etaChn;
    }

    public String getAtd() {
        return atd;
    }

    public void setAtd(String atd) {
        this.atd = atd;
    }

    public String getDepStn() {
        return depStn;
    }

    public void setDepStn(String depStn) {
        this.depStn = depStn;
    }

    public String getArrStn() {
        return arrStn;
    }

    public void setArrStn(String arrStn) {
        this.arrStn = arrStn;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getModified() {
        return modified;
    }

    public void setModified(String modified) {
        this.modified = modified;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getDepAirportName() {
        return depAirportName;
    }

    public void setDepAirportName(String depAirportName) {
        this.depAirportName = depAirportName;
    }

    public String getDepCityName() {
        return depCityName;
    }

    public void setDepCityName(String depCityName) {
        this.depCityName = depCityName;
    }

    public String getArrAirportName() {
        return arrAirportName;
    }

    public void setArrAirportName(String arrAirportName) {
        this.arrAirportName = arrAirportName;
    }

    public String getArrCityName() {
        return arrCityName;
    }

    public void setArrCityName(String arrCityName) {
        this.arrCityName = arrCityName;
    }
}
